Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28 signals an error

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 19 Apr 2022 16:24:09 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> But!  Emacs only interprets the first mode: line it finds, so having
>
> mode: outline
> mode: emacs-news
>
> and then extending Emacs on the trunk heed the final (defined) mode
> would be both backwards and forwards compatible (as well as making this
> an alternative to -*-, making things more regular), so I'll take a peek
> at doing that.

I've now fixed this, and it seems to be both backwards and forwards
compatible.  But while testing, I found another new bug in the -*-
parsing of mode: variables, so I'll be fixing that, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no